=== subscribers/logger/Makefile ===
#############################################################################
# Makefile for building: liblogger.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Jul 5 19:49:57 2010
# Project:  logger.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile logger.pro
#############################################################################

####### Compiler, tools and options

CC            = cc
CXX           = g++
DEFINES       = -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4 -I../../libnobdy -I.
LINK          = g++
LFLAGS        = -shared -Wl,-soname,liblogger.so.1
LIBS          = $(SUBLIBS)  -L/usr/lib -L../../libnobdy -lnobdy -lgps -lQtSql -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = logger.cpp \
		gpsdb.cpp \
		obd.cpp \
		trip.cpp moc_logger.cpp
OBJECTS       = logger.o \
		gpsdb.o \
		obd.o \
		trip.o \
		moc_logger.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../subscriber.pri \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		logger.pro
QMAKE_TARGET  = logger
DESTDIR       = 
TARGET        = liblogger.so.1.0.0
TARGETA       = liblogger.a
TARGETD       = liblogger.so.1.0.0
TARGET0       = liblogger.so
TARGET1       = liblogger.so.1
TARGET2       = liblogger.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: logger.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../subscriber.pri \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile logger.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../subscriber.pri:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile logger.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/logger1.0.0 || $(MKDIR) .tmp/logger1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/logger1.0.0/ && $(COPY_FILE) --parents logger.h gpsdb.h obd.h trip.h .tmp/logger1.0.0/ && $(COPY_FILE) --parents logger.cpp gpsdb.cpp obd.cpp trip.cpp .tmp/logger1.0.0/ && (cd `dirname .tmp/logger1.0.0` && $(TAR) logger1.0.0.tar logger1.0.0 && $(COMPRESS) logger1.0.0.tar) && $(MOVE) `dirname .tmp/logger1.0.0`/logger1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/logger1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_logger.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_logger.cpp
moc_logger.cpp: obd.h \
		basedb.hpp \
		gpsdb.h \
		trip.h \
		logger.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) logger.h -o moc_logger.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

logger.o: logger.cpp logger.h \
		obd.h \
		basedb.hpp \
		gpsdb.h \
		trip.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o logger.o logger.cpp

gpsdb.o: gpsdb.cpp gpsdb.h \
		basedb.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gpsdb.o gpsdb.cpp

obd.o: obd.cpp obd.h \
		basedb.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obd.o obd.cpp

trip.o: trip.cpp trip.h \
		basedb.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o trip.o trip.cpp

moc_logger.o: moc_logger.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_logger.o moc_logger.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/nobdy/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/nobdy/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET2)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET2)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/nobdy/ 


install_config: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/etc/nobdy/subscribers/ || $(MKDIR) $(INSTALL_ROOT)/etc/nobdy/subscribers/ 
	-$(INSTALL_FILE) /home/kev/src/nobdy/subscribers/logger/logger.xml $(INSTALL_ROOT)/etc/nobdy/subscribers/


uninstall_config:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/etc/nobdy/subscribers/logger.xml
	-$(DEL_DIR) $(INSTALL_ROOT)/etc/nobdy/subscribers/ 


install:  install_target install_config  FORCE

uninstall: uninstall_target uninstall_config   FORCE

FORCE:
