=== debian/changelog ===
nobdy (0.0.2-1ubuntu2) lucid; urgency=low

  * disabled subprojects

 -- Kevron Rees <kev@patch>  Mon, 05 Jul 2010 19:58:35 -0700

nobdy (0.0.2-1ubuntu1) jaunty; urgency=low

  * fixed config

 -- Kevron Rees <tripzero@nextabyte.com>  Mon, 21 Jun 2010 20:14:10 -0700

nobdy (0.0.1-0) lucid; urgency=low

  * Initial release 

 -- Kevron Rees <tripzero@nextabyte.com>  Fri, 18 Jun 2010 12:42:22 -0700
