=== debian/control ===
Source: nobdy
Section: unknown
Priority: extra
Maintainer: Kevron Rees <tripzero@nextabyte.com>
Build-Depends: debhelper (>= 7), libqt4-dev, cdbs, libobd-qt-dev
Standards-Version: 3.8.1
Homepage: http://openice.org

Package: nobdy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: vehicle data service
 Interfaces with the vehicle and provides data to "subscribers" and other applications

Package: libnobdy
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: library to create plugins for nobdy
 Provides runtimes for nobdy and plugins

Package: libnobdy-dev
Section: libdevel
Depends: libqt4-dev, libnobdy
Architecture: any
Description: library to create plugins for nobdy                              
 Provides runtimes for nobdy and plugins. Contains development files
 for writing custom plugins.

Package: nobdy-provider-genericobd2
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: nobdy plugin for obd-II
 Interface for ELM327 OBD-II based scantools

Package: nobdy-subscriber-dbussimple
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: nobdy plugin for dbus
 Exposes nobdy over dbus

#Package: nobdy-subscriber-logger
#Section: libs
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Architecture: any
#Description: nobdy plugin for logging obd-II and gps data
# nobdy subscriber plugin that logs obd-II and gps data
