=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

DEB_DESTDIR := $(CURDIR)/debian/tmp

# Add here any variable or target overrides you need.
QMAKE=qmake-qt4
MAKE=make CXX=/usr/lib/icecc/bin/g++ -j20
CFLAGS=-O3
CXXFLAGS=-O3
