## nobdy 0.0.3-1ubuntu3

=== subscribers/logger/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: liblogger.so.1.0.0
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Jul 5 19:49:57 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Aug 13 23:17:32 2010
 # Project:  logger.pro
 # Template: lib
 # Command: /usr/bin/qmake-qt4 -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile logger.pro
