=== debian/changelog ===
nobdy (0.0.3-1ubuntu3) lucid; urgency=low

  * disabled logger for maemo5

 -- Kevron Rees <kev@patch>  Fri, 13 Aug 2010 23:41:43 -0700

nobdy (0.0.3-1ubuntu2) lucid; urgency=low

  * logger won't build on maemo5

 -- Kevron Rees <kev@patch>  Fri, 13 Aug 2010 23:16:11 -0700

nobdy (0.0.3-1ubuntu1) lucid; urgency=low

  * new upstream version

 -- Kevron Rees <kev@patch>  Fri, 13 Aug 2010 23:04:00 -0700
