=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: unknown
 Priority: extra
 Maintainer: Kevron Rees <tripzero@nextabyte.com>
-Build-Depends: debhelper (>= 7), libqt4-dev, cdbs, libobd-qt-dev
+Build-Depends: debhelper (>= 7), libqt4-dev, cdbs, libobd-qt-dev, libbluetooth3-dev
 Standards-Version: 3.8.1
 Homepage: http://openice.org
 
@@ -41,9 +41,22 @@
 Description: nobdy plugin for dbus
  Exposes nobdy over dbus
 
-#Package: nobdy-subscriber-logger
-#Section: libs
-#Depends: ${shlibs:Depends}, ${misc:Depends}
-#Architecture: any
-#Description: nobdy plugin for logging obd-II and gps data
-# nobdy subscriber plugin that logs obd-II and gps data
+Package: nobdy-subscriber-logger
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: any
+Description: nobdy plugin for logging obd-II and gps data
+ nobdy subscriber plugin that logs obd-II and gps data
+
+Package: nobdy-subscriber-tcp
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: any
+Description: nobdy plugin for serving up subscriber data to clients on a network
+
+Package: nobdy-provider-tcp
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: any
+Description: nobdy plugin for logging obd-II and gps data
+ nobdy subscriber plugin that connects to other systems running nobdy over a network
